View Issue Details

IDProjectCategoryView StatusLast Update
16588Bug reportsLimeSurvey Websitepublic2020-09-07 11:49
ReporterElita Assigned Togabrieljenik  
PrioritylowSeveritytrivial 
Status closedResolutionfixed 
Product Version3.23.0 
Summary16588: False warning about the screen resolution
Description

hello, just opened limesurvey on my notebook with the screen resolution 3200x1800 px and got the warning that my screen resolution is too small.... perhaps you might want to adjust those settings

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.23.0+200813
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL5.7.31
Server OS (if known)
Webserver software & version (if known)
PHP Versionv7.3.20

Relationships

related to 16636 closedgabrieljenik False warning about the screen resolution 

Activities

user225042

2020-08-17 09:43

  ~59461

Please provide us with a screenshot of the error. Thank you.

cdorin

cdorin

2020-08-26 15:23

manager   ~59631

Last edited: 2020-08-26 15:24

View 2 revisions

Iit happens only if you have the window "halfed" and then , on the log in page, you move to full page view, and then log in. To be fixed in both LS3 and LS4

gabrieljenik

gabrieljenik

2020-09-02 21:05

developer   ~59691

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1571

gabrieljenik

gabrieljenik

2020-09-07 07:43

developer   ~59716

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30441

lime_release_bot

lime_release_bot

2020-09-07 11:49

administrator   ~59720

Fixed in Release 3.23.2+200908

Related Changesets

LimeSurvey: 3.x-LTS 54fe4045

2020-09-07 07:41:00

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16588: False warning about the screen resolution (#1571)

The window size used for validation was only retrieved on "document ready" event of the login page.
Added a handler for the window resize event to keep the 'width' field updated until form sumbission.
Affected Issues
16588
mod - application/views/admin/authentication/login.php Diff File

Issue History

Date Modified Username Field Change
2020-08-14 19:46 Elita New Issue
2020-08-17 09:43 user225042 Note Added: 59461
2020-08-17 09:55 user225042 Status new => feedback
2020-08-26 15:23 cdorin Note Added: 59631
2020-08-26 15:24 cdorin Assigned To => gabrieljenik
2020-08-26 15:24 cdorin Priority none => low
2020-08-26 15:24 cdorin Status feedback => confirmed
2020-08-26 15:24 cdorin Note Edited: 59631 View Revisions
2020-09-02 20:53 gabrieljenik Issue cloned: 16636
2020-09-02 20:53 gabrieljenik Relationship added related to 16636
2020-09-02 21:05 gabrieljenik Note Added: 59691
2020-09-07 07:43 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 54fe4045
2020-09-07 07:43 gabrieljenik Note Added: 59716
2020-09-07 07:43 gabrieljenik Resolution open => fixed
2020-09-07 11:49 lime_release_bot Note Added: 59720
2020-09-07 11:49 lime_release_bot Status confirmed => closed